"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.typings.ts
var index_typings_exports = {};
__export(index_typings_exports, {
  InviteStatus: () => InviteStatus,
  SortOrder: () => SortOrder,
  bulkInvite: () => bulkInvite2,
  resendInvite: () => resendInvite2,
  revokeInvite: () => revokeInvite2
});
module.exports = __toCommonJS(index_typings_exports);

// src/identity-invites-v1-site-invite-site-invites.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/identity-invites-v1-site-invite-site-invites.http.ts
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressInvitesApiSiteInvitesApiUrl(opts) {
  const domainToMappings = {
    "www._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/invites-web",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      },
      {
        srcPath: "/invites",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/invites/invites/site",
        destPath: "/invites/site"
      },
      {
        srcPath: "/invites/invites/account",
        destPath: "/invites/account"
      },
      {
        srcPath: "/invites",
        destPath: ""
      },
      {
        srcPath: "/invites/site-invite",
        destPath: "/site-invite"
      },
      {
        srcPath: "/invites/account-invite",
        destPath: "/account-invite"
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "platform.rise.ai": [
      {
        srcPath: "/invites/site",
        destPath: "/invites/site"
      },
      {
        srcPath: "/site-invite",
        destPath: "/site-invite"
      }
    ]
  };
  return (0, import_rest_modules.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_user-management_site-invites";
function bulkInvite(payload) {
  function __bulkInvite({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.invites.v1.site_invite",
      method: "POST",
      methodFqn: "com.wixpress.invites.api.SiteInvitesApi.BulkInvite",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressInvitesApiSiteInvitesApiUrl({
        protoPath: "/site-invite/bulk",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "invites.dateCreated" },
            { path: "invites.expirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __bulkInvite;
}
function resendInvite(payload) {
  function __resendInvite({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.invites.v1.site_invite",
      method: "POST",
      methodFqn: "com.wixpress.invites.api.SiteInvitesApi.ResendInvite",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressInvitesApiSiteInvitesApiUrl({
        protoPath: "/site-invite/{inviteId}/resend",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "invite.dateCreated" },
            { path: "invite.expirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __resendInvite;
}
function revokeInvite(payload) {
  function __revokeInvite({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.invites.v1.site_invite",
      method: "POST",
      methodFqn: "com.wixpress.invites.api.SiteInvitesApi.RevokeInvite",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressInvitesApiSiteInvitesApiUrl({
        protoPath: "/site-invite/{inviteId}/revoke",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __revokeInvite;
}

// src/identity-invites-v1-site-invite-site-invites.universal.ts
var InviteStatus = /* @__PURE__ */ ((InviteStatus2) => {
  InviteStatus2["Pending"] = "Pending";
  InviteStatus2["Used"] = "Used";
  InviteStatus2["Deleted"] = "Deleted";
  InviteStatus2["Declined"] = "Declined";
  InviteStatus2["Expired"] = "Expired";
  return InviteStatus2;
})(InviteStatus || {});
var SortOrder = /* @__PURE__ */ ((SortOrder2) => {
  SortOrder2["ASC"] = "ASC";
  SortOrder2["DESC"] = "DESC";
  return SortOrder2;
})(SortOrder || {});
async function bulkInvite2(policyIds, options) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    policyIds,
    emails: options?.emails,
    invitePurpose: options?.invitePurpose,
    defaultEmailLanguage: options?.defaultEmailLanguage,
    locationRestriction: options?.locationRestriction
  });
  const reqOpts = bulkInvite(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          policyIds: "$[0]",
          emails: "$[1].emails",
          invitePurpose: "$[1].invitePurpose",
          defaultEmailLanguage: "$[1].defaultEmailLanguage",
          locationRestriction: "$[1].locationRestriction"
        },
        singleArgumentUnchanged: false
      },
      ["policyIds", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function resendInvite2(inviteId, options) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    inviteId,
    defaultEmailLanguage: options?.defaultEmailLanguage
  });
  const reqOpts = resendInvite(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          inviteId: "$[0]",
          defaultEmailLanguage: "$[1].defaultEmailLanguage"
        },
        singleArgumentUnchanged: false
      },
      ["inviteId", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function revokeInvite2(inviteId) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({ inviteId });
  const reqOpts = revokeInvite(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { inviteId: "$[0]" },
        singleArgumentUnchanged: false
      },
      ["inviteId"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  InviteStatus,
  SortOrder,
  bulkInvite,
  resendInvite,
  revokeInvite
});
//# sourceMappingURL=index.typings.js.map