// src/identity-invites-v1-site-invite-site-invites.http.ts
import { transformRESTTimestampToSDKTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformPaths } from "@wix/sdk-runtime/transformations/transform-paths";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveComWixpressInvitesApiSiteInvitesApiUrl(opts) {
  const domainToMappings = {
    "www._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/invites-web",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      },
      {
        srcPath: "/invites",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/invites/invites/site",
        destPath: "/invites/site"
      },
      {
        srcPath: "/invites/invites/account",
        destPath: "/invites/account"
      },
      {
        srcPath: "/invites",
        destPath: ""
      },
      {
        srcPath: "/invites/site-invite",
        destPath: "/site-invite"
      },
      {
        srcPath: "/invites/account-invite",
        destPath: "/account-invite"
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_api/invites-web",
        destPath: ""
      }
    ],
    "platform.rise.ai": [
      {
        srcPath: "/invites/site",
        destPath: "/invites/site"
      },
      {
        srcPath: "/site-invite",
        destPath: "/site-invite"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_user-management_site-invites";
function bulkInvite(payload) {
  function __bulkInvite({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.invites.v1.site_invite",
      method: "POST",
      methodFqn: "com.wixpress.invites.api.SiteInvitesApi.BulkInvite",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressInvitesApiSiteInvitesApiUrl({
        protoPath: "/site-invite/bulk",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "invites.dateCreated" },
            { path: "invites.expirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __bulkInvite;
}
function resendInvite(payload) {
  function __resendInvite({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.invites.v1.site_invite",
      method: "POST",
      methodFqn: "com.wixpress.invites.api.SiteInvitesApi.ResendInvite",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressInvitesApiSiteInvitesApiUrl({
        protoPath: "/site-invite/{inviteId}/resend",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "invite.dateCreated" },
            { path: "invite.expirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __resendInvite;
}
function revokeInvite(payload) {
  function __revokeInvite({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.invites.v1.site_invite",
      method: "POST",
      methodFqn: "com.wixpress.invites.api.SiteInvitesApi.RevokeInvite",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressInvitesApiSiteInvitesApiUrl({
        protoPath: "/site-invite/{inviteId}/revoke",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __revokeInvite;
}

// src/identity-invites-v1-site-invite-site-invites.meta.ts
function bulkInvite2() {
  const payload = {};
  const getRequestOptions = bulkInvite(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/site-invite/bulk",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function resendInvite2() {
  const payload = { inviteId: ":inviteId" };
  const getRequestOptions = resendInvite(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/site-invite/{inviteId}/resend",
    pathParams: { inviteId: "inviteId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function revokeInvite2() {
  const payload = { inviteId: ":inviteId" };
  const getRequestOptions = revokeInvite(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/site-invite/{inviteId}/revoke",
    pathParams: { inviteId: "inviteId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  bulkInvite2 as bulkInvite,
  resendInvite2 as resendInvite,
  revokeInvite2 as revokeInvite
};
//# sourceMappingURL=meta.mjs.map